%define name		jdbm
%define version		0.20
%define release		1jpp
%define	section		free


Name:		%{name}
Summary:	JDBM transactional persistence engine
Url:		http://jdbm.sourceforge.net/
Version:	%{version}
Release:	%{release}
Epoch:		0
License:	BSD
Group:		Development/Libraries/Java
Vendor:		JPackage Project
Distribution:	JPackage
BuildArch:	noarch
Source0:	jdbm-0.20-src.tar.gz
# cvs -d:pserver:anonymous@cvs.sourceforge.net:/cvsroot/jdbm login 
# cvs -z3 -d:pserver:anonymous@cvs.sourceforge.net:/cvsroot/jdbm export -r HEAD jdbm

BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
JDBM is a transactional persistence engine for Java. 
It aims to be for Java what GDBM is for Perl, Python, C, 
etcetera: a simple persistence engine that is lightweight 
and fast.

%package javadoc
Summary:	Javadoc for %{name}
Group:		Development/Documentation

%description javadoc
Javadoc for %{name}.

%prep
%setup -q -n %{name}-%{version}
chmod -R go=u-w *
find . -name "*.jar" -exec rm -f {} \;

%build
ant -f src/build.xml main examples tests jar javadoc

%install
# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -m 644 dist/%{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)

# examples
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}/examples
cp -pr src/examples/* $RPM_BUILD_ROOT%{_datadir}/%{name}/examples
cp -pr build/examples/* $RPM_BUILD_ROOT%{_datadir}/%{name}/examples

# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr build/doc/javadoc/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%files
%defattr(-,root,root)
%doc *.txt
%{_javadir}/*
%{_datadir}/%{name}

%files javadoc
%defattr(-,root,root)
%{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}

%changelog
* Thu Feb 17 2005 Ralph Apel <r.apel at r-apel.de> 0:0.20-1jpp
- Upgrade to 0.20 from HEAD

* Wed Feb 09 2005 Ralph Apel <r.apel at r-apel.de> 0:0.13-1jpp
- First release

